DCMTK: dcmtk::log4cplus::ConsoleAppender Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Static Public Member Functions | Protected Attributes | List of all members
dcmtk::log4cplus::ConsoleAppender Class Reference

ConsoleAppender appends log events to `STD_NAMESPACE cout` or `STD_NAMESPACE cerr` using a layout specified by the user. More...

Inheritance diagram for dcmtk::log4cplus::ConsoleAppender:

## Static Public Member Functions
static log4cplus::thread::Mutex const & | getOutputMutex ()

## Protected Attributes
bool | immediateFlush
| Immediate flush means that the underlying output stream will be flushed at the end of each append operation.
Protected Attributes inherited from dcmtk::log4cplus::Appender
OFunique_ptr< Layout > | layout
| The layout variable does not need to be set if the appender implementation has its own layout.
log4cplus::tstring | name
| Appenders are named.
LogLevel | threshold
| There is no LogLevel threshold filtering by default.
log4cplus::spi::FilterPtr | filter
| The first filter in the filter chain.
OFunique_ptr< ErrorHandler > | errorHandler
| It is assumed and enforced that errorHandler is never null.
OFunique_ptr< helpers::LockFile > | lockFile
| Optional system wide synchronization lock.
bool | useLockFile
bool | closed
| Is this appender closed?

## Additional Inherited Members
Public Member Functions inherited from dcmtk::log4cplus::Appender
void | doAppend (const log4cplus::spi::InternalLoggingEvent &event)
| This method performs threshold checks and invokes filters before delegating actual logging to the subclasses specific `append` method.
virtual log4cplus::tstring | getName ()
| Get the name of this appender.
virtual void | setName (const log4cplus::tstring &name)
| Set the name of this appender.
virtual void | setErrorHandler (OFunique_ptr< ErrorHandler > eh)
| Set the `ErrorHandler` for this Appender.
virtual ErrorHandler * | getErrorHandler ()
| Return the currently set `ErrorHandler` for this Appender.
virtual void | setLayout (OFunique_ptr< Layout > layout)
| Set the layout for this appender.
virtual Layout * | getLayout ()
| Returns the layout of this appender.
void | setFilter (log4cplus::spi::FilterPtr f)
| Set the filter chain on this Appender.
log4cplus::spi::FilterPtr | getFilter () const
| Get the filter chain on this Appender.
LogLevel | getThreshold () const
| Returns this appenders threshold LogLevel.
void | setThreshold (LogLevel th)
| Set the threshold LogLevel.
bool | isAsSevereAsThreshold (LogLevel ll) const
| Check whether the message LogLevel is below the appender's threshold.

## Detailed Description

ConsoleAppender appends log events to `STD_NAMESPACE cout` or `STD_NAMESPACE cerr` using a layout specified by the user.

The default target is `STD_NAMESPACE cout`.

### Properties

logToStdErr

  When it is set true, the output stream will be `STD_NAMESPACE cerr` instead of `STD_NAMESPACE cout`.

ImmediateFlush

  When it is set true, output stream will be flushed after each appended event.

See also
  Appender

## Member Function Documentation

## ◆ getOutputMutex()

log4cplus::thread::Mutex const & dcmtk::log4cplus::ConsoleAppender::getOutputMutex | ( |  | ) |
| static

This mutex is used by ConsoleAppender and helpers::LogLog classes to synchronize output to console.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/consap.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1